Bug 127100 - Nautilus hangs or will not start if it has unavailable automount server in tree
Nautilus hangs or will not start if it has unavailable automount server in tree
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2004-07-01 17:19 EDT by Xander D Harkness
Modified: 2016-06-07 18:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 09:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2004-07-01 17:19:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
I added a /net automount point using File -> Connect to server ->
enter URL - so I stuck in /net/fileserver

Now I am at a different location if I start Nautilus it takes over two
minutes to start in browse mode.  If I just start a single window then
is is much faster.  If I have a window open and I launch Nautilus in
browse mode all other windows become unusable, until the /net share
times out.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start amd automounter
2.use file -> connect to server and enter url
3.make the server unavailable and start nautilus

Actual Results:  Nautilus will hang for a period of a couple of
minutes until it realises that the share in not available and it
causes all other Nautilus windows to freeze.

Expected Results:  Nautilus should recognise that the share is not
available as fast as showmount -e fileserver does and return. 
Problems with one window should not impact the use of other windows.

Additional info:
Comment 1 Xander D Harkness 2004-07-04 17:53:56 EDT
I have subsequently tried twice to reproduce this and have failed on
both occasions.

Comment 2 Alexander Larsson 2004-10-05 09:06:11 EDT
There was another bug about /net that seems fixed too. Closing this.
Please reopen if you see this again.

Note You need to log in before you can comment on or make changes to this bug.